%define Name gHTTrack
Name: ghttrack
Version: 0.5.2
Release: alt1
Summary: Frontend for HTTrack Web Copier
License: %gpl2plus
Group: Networking/File transfer
URL: http://home.hccnet.nl/paul.schuurmans/linux
Source0: %url/download/%name-%version.tar.bz2
Source1: %name.xpm
Requires: httrack >= 3.40

# Automatically added by buildreq on Tue Mar 04 2008
BuildRequires: ImageMagick gcc-c++ libgtk+2-devel
BuildRequires: rpm-build-licenses

%description
%Name is only a frontend for 'HTTrack Web Copier' and therefore won't
work unless you have httrack installed on your system.


%prep
%setup


%build
%autoreconf
%configure
%make_build
convert -depth 8 %SOURCE1 %{name}_48.png
for s in 32 24 16; do
    convert -resize ${s}x$s -depth 8 %SOURCE1 %{name}_$s.png
done


%install
%make_install DESTDIR=%buildroot install
for s in 48 32 24 16; do
    install -D -m 0644 {%{name}_$s,%buildroot%_iconsdir/hicolor/${s}x$s/apps/%name}.png
done
install -d -m 0755 %buildroot%_desktopdir
iconv -f cp1251 -t utf-8 > %buildroot%_desktopdir/%name.desktop <<__MENU__
[Desktop Entry]
Version=1.0
Encoding=UTF-8
Type=Application
Categories=GTK;Application;Network;FileTransfer;
Name=%Name
Comment=Copy websites to your computer
Exec=%name
Icon=%name
Terminal=false
MultipleArgs=false
__MENU__


%post
%update_menus

%postun
%clean_menus


%files
%doc AUTHORS ChangeLog README
%_bindir/*
%_desktopdir/*
%_iconsdir/hicolor/*/apps/*


%changelog
* Wed Mar 05 2008 Led <led@altlinux.ru> 0.5.2-alt1
- 0.5.2
- fixed License
- fixed %%description
- added icons
- added URL

* Thu Jun 5 2003 Andrey Semenov <mitrofan@altlinux.ru> 0.3-alt1
- 0.3.0

* Wed Apr 02 2003 Andrey Semenov <mitrofan@altlinux.ru> 0.2-alt1
- First version of RPM package.
